Subject: Re: bug#13007: 24.3.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Nov 2012 20:08:59 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Date: Thu, 29 Nov 2012 09:47:21 -0800
> 
> > It's the same bug, in the sense that the same assertion is violated.
> > But they are 2 different ways of triggering that violation, because
> > the call to the faulty function comes from 2 different places (as
> > evidenced by the backtrace) and the buffer that is not the current one
> > is different in these two cases (*scratch* for Juanma, minibuffer for
> > you).
> 
> Don't you think that by understanding Juanma's case you will understand ways, in
> general, that the assertion can be violated?

There is no "general" here, just a lot of different use-cases.

> If we have already seen more than one way, as you say, that seems like a good
> hint that the assertion itself might be flawed: the wrong assertion.  It
> suggests to me that the assertion does not understand what it should be
> expecting, and it has too narrow a view of things.

Yes, that part is clear, and therefore the assertion was removed from
the trunk.  But we are trying to figure out with what to replace it,
and for that, we need as many use-cases that violate it as possible.